> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar configurações do canal

> Atualiza as configurações de um canal específico



## OpenAPI

````yaml PUT /v2/channel/{id}/config
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/channel/{id}/config:
    put:
      description: Atualiza as configurações de um canal específico
      parameters:
        - name: id
          in: path
          description: ID do canal
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          Dados para atualização do canal. Envie apenas as configurações que
          deseja alterar.
        required: true
        content:
          application/json:
            schema:
              type: object
              description: >-
                Campos opcionais: informe somente os atributos que serão
                atualizados no canal.
              properties:
                id:
                  type: string
                  description: ID do canal
                  example: 3EC6EAFBBB17505A7EB9E6300696488C
                tenant:
                  type: string
                  description: Tenant do canal
                  example: 3E753A12D20F50A185E54E911FDCDB1F
                audioAction:
                  type: string
                  nullable: true
                  description: Ação de áudio (quando aplicável)
                  example: DISABLED
                startTrigger:
                  type: string
                  nullable: true
                  description: Trigger de início (quando aplicável)
                  example: ONLY_WHEN_CALLING_BY_NAME
                endTrigger:
                  type: string
                  nullable: true
                  description: Trigger de encerramento (quando aplicável)
                  example: WHEN_SAY_GOODBYE
              additionalProperties: true
            example:
              startTrigger: ONLY_WHEN_CALLING_BY_NAME
              id: 3EC6EAFBBB17505A7EB9E6300696488C
              audioAction: DISABLED
              tenant: 3E753A12D20F50A185E54E911FDCDB1F
              endTrigger: WHEN_SAY_GOODBYE
      responses:
        '200':
          description: >-
            Canal atualizado com sucesso (o retorno varia conforme o tipo do
            canal)
          content:
            application/json:
              schema:
                oneOf:
                  - title: Configuração Z_API
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID do canal
                      tenant:
                        type: string
                        description: Tenant do canal
                      audioAction:
                        type: string
                        nullable: true
                        description: Configuração de ação de áudio
                      startTrigger:
                        type: string
                        nullable: true
                        description: Trigger de início
                      endTrigger:
                        type: string
                        nullable: true
                        description: Trigger de encerramento
                      enabledTyping:
                        type: boolean
                        nullable: true
                        description: Habilita indicador de 'digitando'
                      enableGroupsResponse:
                        type: boolean
                        nullable: true
                        description: Habilita respostas em grupos
                      replyGroupsType:
                        type: string
                        nullable: true
                        description: Tipo de resposta em grupos
                      enablePrivateChatResponse:
                        type: boolean
                        nullable: true
                        description: Habilita resposta em chat privado
                      callRejectAuto:
                        type: boolean
                        nullable: true
                        description: Rejeita chamadas automaticamente
                      callRejectMessage:
                        type: string
                        nullable: true
                        description: Mensagem ao rejeitar chamada
                      takeOutsideService:
                        type: boolean
                        nullable: true
                        description: Habilita retirar atendimento para fora do serviço
                      takeOutsideServiceMember:
                        type: string
                        nullable: true
                        description: Membro/usuário alvo da ação
                      takeOutsideServiceCommand:
                        type: string
                        nullable: true
                        description: Comando utilizado
                      takeOutsideServiceMessage:
                        type: string
                        nullable: true
                        description: Mensagem utilizada
                      takeOutsideServiceCommandReturn:
                        type: boolean
                        nullable: true
                        description: Define se deve retornar após executar o comando
                      takeOutsideServiceReturnMessage:
                        type: string
                        nullable: true
                        description: Mensagem de retorno
                      waitingMessageEnabled:
                        type: boolean
                        nullable: true
                        description: Habilita mensagem de espera
                      waitingMessageText:
                        type: string
                        nullable: true
                        description: Texto da mensagem de espera
                      type:
                        type: string
                        description: Tipo do canal
                        enum:
                          - Z_API
                    additionalProperties: false
                  - title: Configuração WHATSAPP
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID do canal
                      tenant:
                        type: string
                        description: Tenant do canal
                      audioAction:
                        type: string
                        nullable: true
                        description: Configuração de ação de áudio
                      startTrigger:
                        type: string
                        nullable: true
                        description: Trigger de início
                      endTrigger:
                        type: string
                        nullable: true
                        description: Trigger de encerramento
                      enabledTyping:
                        type: boolean
                        nullable: true
                        description: Habilita indicador de 'digitando'
                      type:
                        type: string
                        description: Tipo do canal
                        enum:
                          - WHATSAPP
                    additionalProperties: false
                  - title: Configuração INSTAGRAM
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID do canal
                      tenant:
                        type: string
                        description: Tenant do canal
                      audioAction:
                        type: string
                        nullable: true
                        description: Configuração de ação de áudio
                      startTrigger:
                        type: string
                        nullable: true
                        description: Trigger de início
                      endTrigger:
                        type: string
                        nullable: true
                        description: Trigger de encerramento
                      notReactInstagramStories:
                        type: boolean
                        nullable: true
                        description: >-
                          Define se deve ignorar/não reagir a stories do
                          Instagram
                      takeOutsideService:
                        type: boolean
                        nullable: true
                        description: Habilita retirar atendimento para fora do serviço
                      takeOutsideServiceMember:
                        type: string
                        nullable: true
                        description: Membro/usuário alvo da ação
                      takeOutsideServiceCommand:
                        type: string
                        nullable: true
                        description: Comando utilizado
                      takeOutsideServiceMessage:
                        type: string
                        nullable: true
                        description: Mensagem utilizada
                      takeOutsideServiceCommandReturn:
                        type: boolean
                        nullable: true
                        description: Define se deve retornar após executar o comando
                      takeOutsideServiceReturnMessage:
                        type: string
                        nullable: true
                        description: Mensagem de retorno
                      commentsReplyEnabled:
                        type: boolean
                        nullable: true
                        description: Habilita responder comentários
                      commentsReplyAllEnabled:
                        type: boolean
                        nullable: true
                        description: Habilita responder todos os comentários
                      commentsReplyAllInstruction:
                        type: string
                        nullable: true
                        description: Instrução para responder todos os comentários
                      commentsCallDirectInstruction:
                        type: string
                        nullable: true
                        description: >-
                          Instrução para chamar no direct a partir de
                          comentários
                    additionalProperties: false
                  - title: >-
                      Configuração básica (TWILIO_SMS, TELEGRAM, MERCADO_LIVRE,
                      MESSENGER)
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID do canal
                      tenant:
                        type: string
                        description: Tenant do canal
                      audioAction:
                        type: string
                        nullable: true
                        description: Configuração de ação de áudio
                      startTrigger:
                        type: string
                        nullable: true
                        description: Trigger de início
                      endTrigger:
                        type: string
                        nullable: true
                        description: Trigger de encerramento
                    additionalProperties: false
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '500':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````